Subject: Re: [PATCH net-next] bonding: add software timestamping support

From: Miroslav Lichvar <[email-masked]>
Date: Wed, 29 Mar 2023 12:27:11 +0200

On Wed, Mar 29, 2023 at 11:13:37AM +0800, Hangbin Liu wrote:
> At present, bonding attempts to obtain the timestamp (ts) information of
> the active slave. However, this feature is only available for mode 1, 5,
> and 6. For other modes, bonding doesn't even provide support for software
> timestamping. To address this issue, let's call ethtool_op_get_ts_info
> when there is no primary active slave. This will enable the use of software
> timestamping for the bonding interface.

Would it make sense to check if all devices in the bond support
SOF_TIMESTAMPING_TX_SOFTWARE before returning it for the bond?
Applications might expect that a SW TX timestamp will be always
provided if the capability is reported.

-- 
Miroslav Lichvar